## pygobject-pygi 2.21.1-0maemo2

=== debian/changelog ===
pygobject-pygi (2.21.1-0maemo2) unstable; urgency=low

  * Maemo 5 build.

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Thu, 04 Mar 2010 21:10:24 -0400

pygobject (2.21.1-0ubuntu3) lucid; urgency=low

  * debian/patches/80_no_pygi_error.patch:
    - don't raise pygi error since the package is built without that option
      which is something the code handles correctly (lp: #607674)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 21 Jan 2010 18:18:05 +0100

pygobject (2.21.1-0ubuntu2) lucid; urgency=low

  * debian/patches/03_maintainer_mode.patch:
    - don't use this change to not trigger autotools run on build

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 05 Jan 2010 19:29:19 +0100

pygobject (2.21.1-0ubuntu1) lucid; urgency=low

  * New upstream version
  * debian/control.in:
    - updated liblib requirement since the new version fixes a build issue
  * debian/patches/61_wakeupfd-fctnl-and-read.patch:
    - dropped since the issue is fixed in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 04 Jan 2010 17:40:25 +0100

pygobject (2.18.0-0ubuntu1) karmic; urgency=low

  * New upstream version
  * debian/patches/01_pkgconfig-private.patch:
    - the change is in the new version
  * debian/patches/62_install-pyglib-in-libdir-with-python-version.patch:
    - the change is in the new version
  * debian/patches/90_autofoo.patch:
    - not required in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 01 Jun 2009 17:28:32 +0200

pygobject (2.17.0-0ubuntu1) karmic; urgency=low

  * New upstream version:
    - Write a good part of the docs for gio 
    - Wrap g_mount_guess_content_type g_mount_guess_content_type_finish
      g_mount_guess_content_type_sync 
    - Swap first two arguments of gio.File.query_info_async 
    - Fix a crash in pyg_type_add_interfaces 
    - Remove an empty structure, use sizeof instead 
    - Wrap four g_get_user_*_dir
    - Remove 'ltihooks.py' as using deprecated Python module 
    - Code maintenance: add .gitignore files 
    - CellRendererPixbuf stock-size property has wrong type 
    - Add a doap file after git migration 
    - missing dep on libffi in pygobject-2.0.pc 
    - g_volume_monitor_tp_new new function, return the singleton object.
    - Remove a DeprecationWarning under python 2.6 
    - several scripts from codegen directory are not distributed
    - g_file_copy_async change argument order to keep it consistent with the
      other methods 
    - memory leak in gio.File.copy_async 
    - g_file_monitor should accept None for cancellable and set the default
      flag to G_FILE_MONITOR_NONE 
    - pyg_notify_free needs to ensure it has GIL before calling Py_XDECREF
    - Wrap g_file_set_display_name_async 
    - Add a semi-private method to return the option context C object from
      an option context wrapper 
    - Converting a negative long Python value to a GUINT64 GValue doesn't
      error out as it should 
    - Wrap g_file_set_attributes_async and
      g_file_set_attributes_finish 
    - g_file_query_filesystem_info_async fix a typo 
    - Wrap g_file_query_filesystem_info_async 
    - Add missing g_file_query_filesystem_info_async and
      g_file_query_filesystem_info_finish 
    - Wrap g_file_eject_mountable 
    - g_file_copy callback cannot be optional 
    - Swap various kwargs names to reflect the code 
    - Update the address of the FSF 
    - Add g_volume_should_automount 
    - Wrap g_drive_enumerate_identifiers and g_volume_enumerate_identifiers
    - Add a couple of convinence functions to convert from/to a python list
      and an array of strings 
    - Allow setting pytype wrapper class 
    - Wrap g_file_enumerator_close_async 
  * debian/patches/01_pkgconfig-private.patch:
    - new version update
  * debian/patches/91_upstream_change_fix_rhythmbox_crash.patch:
    - the change is in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 11 May 2009 14:16:44 +0200

pygobject (2.16.1-1ubuntu2) jaunty; urgency=low

  * debian/patches/91_upstream_change_fix_rhythmbox_crash.patch:
    - upstream bugzilla change to fix a crasher

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 08 Apr 2009 00:58:31 +0200

pygobject (2.16.1-1ubuntu1) jaunty; urgency=low

  * Sync on Debian
  * debian/control.in, debian/rules:
    - don't use a specific python version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 07 Apr 2009 22:57:05 +0200

pygobject (2.16.1-1) unstable; urgency=low

  * New upstream release.
    + 90_autofoo.patch: regenerated.

 -- Josselin Mouette <joss@debian.org>  Wed, 11 Mar 2009 22:51:50 +0100

pygobject (2.16.0-1) unstable; urgency=low

  [ Loic Minier ]
  * Pass PYTHON to $(MAKE) runs for robustness in case of timestamp skews;
    thanks Colin Watson; closes: #509192.
  * Pass --disable-maintainer-mode to configure.
  * Rework patch and config.sub/.guess handling: backup config.guess and .sub,
    call quilt instead of relying on cdbs' quilt patchsys, restore
    config.guess and .sub after unpatching.  This avoids config.guess and .sub
    in the diff, and allows control over fully working and fully patched
    trees.
  * Call dh_* -s instead of -a in binary-arch.
  * Rework install rules and dependencies completely to avoid .PHONY implicit
    targets.

  [ Josselin Mouette ]
  * Install files to the python-support directory since objcopy is 
    completely stupid and doesn’t add the full pathname to the 
    .gnu_debuglink section. Closes: #518026.
  * New upstream release.
  * 63_macro-dir.patch: removed, merged upstream.
  * 90_autofoo.patch: regenerated.
  * Fix quilt invocation so that patches are applied.
  * Pass echo=/bin/echo to the environment to work around the ☠☢☣⚡⚠✈║
    libtool bug that is not able to find a command as simple as echo, is 
    that really too much to ask?
  * 04_testsuite_gtk.patch: new patch. Don’t run tests that require 
    pygtk being installed.

 -- Josselin Mouette <joss@debian.org>  Sun, 08 Mar 2009 12:44:24 +0100


