=== debian/control ===
Source: pygobject-pygi
Section: python
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: 
Build-Depends: debhelper (>= 5),
               gnome-pkg-tools (>= 0.10),
               cdbs,
               quilt,
               python-all-dev (>= 2.5),
               libglib2.0-dev (>= 2.20.3),
               libffi-dev (>= 3.0.5),
               xsltproc,
               docbook-xsl,
               autotools-dev,
               libtool (>= 1.5.26-3maemo1)
Build-Conflicts: python2.3-dev (<< 2.3.5)
XS-Python-Version: >= 2.5
Standards-Version: 3.8.0

Package: python-gobject-pygi
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Suggests: python-gobject-dbg
Conflicts: python-gtk2 (<< 2.10)
Description: Python bindings for the GObject library (PyGI enabled)
 GObject is an abstraction layer that allows to program with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python bindings for GObject. It is mostly
 used by other bindings to map their GObjects to Python objects.

Package: python-gobject-pygi-dev
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-gobject-pygi (>= ${source:Version}),
         python-dev,
         libglib2.0-dev (>= 2.8.0),
         libffi-dev (>= 3.0.5)
Conflicts: python-gtk2-dev (<< 2.10), python-gobject-doc
Replaces: python-gobject-doc
Provides: python-gobject-doc
Recommends: docbook-xsl
Description: Development headers for the GObject Python bindings
 GObject is an abstraction layer that allows to program with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the development headers needed to build
 other Python bindings relying on pygobject.
